#
# $Id$
#
%define url $URL$

# Marc E. Fiuczynski <mef@cs.princeton.edu>
# Copyright (C) 2006 The Trustees of Princeton University
# License is GPL.

%define name omf-resctl
%define version 5.3
%define taglevel 1

%define plc_name %{name}-%{version}-%{taglevel}
%define actual_name omf-resctl-5.3-1ubuntu2-2

Summary: OMF Resource Controller - for slivers
Name: %{name}
Version: %{version}
Release: %{taglevel}
License: GPL
Group: System Environment/Base
Source0: %{plc_name}.tar.bz2
BuildRoot: %{_tmppath}/%{plc_name}-buildroot

Vendor: NICTA
Packager: PlanetLab <devel@planet-lab.org>
Distribution: %{pldistro} %{plrelease}
URL: %(echo %{url} | cut -d ' ' -f 2)
BuildArch: noarch

Requires: imagezip
Requires: pciutils  
Requires: ruby  
Requires: wget  
Requires: wireless-tools  
Requires: rpmlib(CompressedFileNames) <= 3.0.4-1
Requires: rpmlib(PayloadFilesHavePrefix) <= 4.0-1

Requires: omf-common  
Requires: liblog4r
Requires: libxmpp4r

%description 
The OMF Resource Controller (RC) is the experiment-side of the
Experiment Eontroller (EC) that lets experimenter control their
resources. It relies on an XMPP server for exchanging with its EC.

####################
%define common_actual_name omf-common-5.3-1ubuntu3-2

%package -n omf-common
Summary: OMF common utilities 
Group: System Environment/Base
%description -n omf-common
Provides utilities common to various OMF components

####################
%define liblog4r_actual_name liblog4r-ruby1.8-1.2-1

%package -n liblog4r
Summary:  A logging library for Ruby
Group: System Environment/Base
%description -n liblog4r
A logging library for Ruby, needed by OMF software

####################
%define libxmpp4r_actual_name libxmpp4r-ruby1.8-1.0-1

%package -n libxmpp4r
Summary:  XMPP/Jabber library for Ruby
Group: System Environment/Base
%description -n libxmpp4r
An XMPP/Jabber library for Ruby, needed by OMF software

####################

%prep
%setup -n %{plc_name}

%build
rm -rf $RPM_BUILD_ROOT

mkdir unwrap

make omf-resctl 
(cd unwrap; rpm2cpio ../%{actual_name}.noarch.rpm | cpio -diu)
make omf-common
(cd unwrap ; rpm2cpio ../%{common_actual_name}.noarch.rpm | cpio -diu)
make liblog4r 
(cd unwrap; rpm2cpio ../%{liblog4r_actual_name}.noarch.rpm | cpio -diu)
make libxmpp4r 
(cd unwrap; rpm2cpio ../%{libxmpp4r_actual_name}.noarch.rpm | cpio -diu)

# cleanup svn sequels
find unwrap -type d -name .svn -print0 | xargs -0 rm -rf

%install
rm -fr $RPM_BUILD_ROOT

rsync -a unwrap/ $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

####################
%files
%defattr(-,root,root)
/etc
/usr/sbin
/usr/share/omf-resctl-%{version}
/usr/share/doc

#
%post
mkdir /etc/omf-resctl-5.3/
# xxx tweak config in /etc/omf-resctl-5.3/
/sbin/chkconfig --add omf-resctl-5.3
service omf-resctl-5.3 restart

####################
%files -n omf-common
%defattr(-,root,root)
/usr/share/omf-common-%{version}
/usr/share/doc/omf-common-%{version}

#
%post -n omf-common
ln -s /usr/bin/ruby /usr/bin/ruby1.8

####################
%files -n liblog4r
%defattr(-,root,root)
/usr/lib/ruby/1.8/log4r.rb
/usr/lib/ruby/1.8/log4r
/usr/share/doc/liblog4r-ruby1.8

####################
%files -n libxmpp4r
%defattr(-,root,root)
/usr/lib/ruby/1.8/xmpp4r.rb
/usr/lib/ruby/1.8/xmpp4r
/usr/share/doc/libxmpp4r-ruby1.8

####################
%changelog
